| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
AccordionFrame Class Reference

A QFrame that shows and hides itself with a slide animation. More...

`#include <accordion_frame.h>`

Inheritance diagram for AccordionFrame:

## Signals
void | visibilityChanged (bool visible)
| Emitted when the frame's visibility changes.

## Public Member Functions
| AccordionFrame (QWidget *parent=0)
| Create an AccordionFrame with the given parent.
void | animatedShow ()
| Show the frame with a slide-down animation.
void | animatedHide ()
| Hide the frame with a slide-up animation.
void | updateStyleSheet ()
| Reapply the stylesheet after a palette or style change.

## Protected Member Functions
virtual void | hideEvent (QHideEvent *) override
| Emit visibilityChanged(false) when the frame is hidden.
virtual void | showEvent (QShowEvent *) override
| Emit visibilityChanged(true) when the frame is shown.

## Detailed Description

A QFrame that shows and hides itself with a slide animation.

## Constructor & Destructor Documentation

## ◆ AccordionFrame()

AccordionFrame::AccordionFrame | ( | QWidget * | parent = 0 | ) |
| explicit

Create an AccordionFrame with the given parent.

Parameters

  parent | The parent widget of the frame, or nullptr if it has no parent.

## Member Function Documentation

## ◆ showEvent()

virtual void AccordionFrame::showEvent | ( | QShowEvent * |  | ) |
| inline override protected virtual

Emit visibilityChanged(true) when the frame is shown.

Reimplemented in AddressEditorFrame, ColumnEditorFrame, FilterExpressionFrame, and PreferenceEditorFrame.

## ◆ visibilityChanged

void AccordionFrame::visibilityChanged | ( | bool | visible | ) |
| signal

Emitted when the frame's visibility changes.

Parameters

  visible | true when the frame becomes visible; false when hidden.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/accordion_frame.h
- /builds/wireshark/wireshark/ui/qt/accordion_frame.cpp